ru.yandex.clickhouse.util

## Class Utils

- java.lang.Object
- - ru.yandex.clickhouse.util.Utils

    public class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `retainUnquoted(String haystack, char quoteChar)`
`static boolean` `startsWithIgnoreCase(String haystack, String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### startsWithIgnoreCase

    public static boolean startsWithIgnoreCase(String haystack,
                                               String pattern)

#### retainUnquoted

    public static String retainUnquoted(String haystack,
                                        char quoteChar)